%global srcname urllib3

Name:           python3-%{srcname}
Version:        1.19.1
Release:        2%{?dist}
Summary:        Python 3 HTTP library with thread-safe connection pooling and file post

License:        MIT
URL:            http://urllib3.readthedocs.org/
Source0:        https://files.pythonhosted.org/packages/source/u/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
# For unittests
BuildRequires:  python%{python3_pkgversion}-coverage
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-pysocks
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-tornado


%description
Python 3 HTTP module with connection pooling and file POST abilities.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Python %{python3_version} HTTP library with thread-safe connection pooling and file post
Requires:       ca-certificates
Requires:       python%{python3_pkgversion}-pysocks
Requires:       python%{python3_pkgversion}-six
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Python %{python3_version} HTTP module with connection pooling and file POST abilities.


%prep
%setup -q -n %{srcname}-%{version}
# Use system six
rm urllib3/packages/six.py
find -name \*.py | xargs sed -i -e 's/from .*\.six/from six/' -e 's/from .* import six/import six/'

# Drop the dummyserver tests in koji.  They fail there in real builds, but not
# in scratch builds (weird).
rm -r test/with_dummyserver/


%build
%py3_build


%install
%py3_install


%check
nosetests-%{python3_version}


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc CHANGES.rst README.rst
%{python3_sitelib}/urllib3/
%{python3_sitelib}/urllib3-*.egg-info


%changelog
* Sun Nov 27 2016 Orion Poplawski <orion@cora.nwra.com> - 1.19.1-2
- Patch to use system six
- Do not attempt change ssl handling

* Tue Nov 22 2016 Orion Poplawski <orion@cora.nwra.com> - 1.19.1-1
- Update to 1.19.1

* Fri Sep 16 2016 Orion Poplawski <orion@cora.nwra.com> - 1.16-1
- Initial EPEL7 package
